Subject: Re: [PATCH 2.6.18] e1000: fix initialization irqs

From: Auke Kok <[email-masked]>
Date: Wed, 22 Nov 2006 12:51:19 -0800

Dmitry Mishin wrote:
> On Wednesday 22 November 2006 19:19, Auke Kok wrote:
>> Now you're telling the NIC to send interrupts before we routed them I think.
>>
>> If we _up() before we even have an interrupt, even more bad things could happen.
>>
>> What is the reason you wrote this workaround?
> The reason is simple, we've got this oops due to misrouted interrupts, 
> misrouted_irq() function. This workaround helps us, please, advice how to  fix
> it or fix it yourself.

without knowing all the parameters that are involved, I cannot make an informed fix at 
all. I need to see the oops, a full dmesg dump, lspci -vv, and possibly more (preferably 
both before and after the OOPS).

If you can provide those then that would really help a lot, especially since the "fix" 
you provide introduces a great number of trap doors and other undetermined behaviour.

Cheers,

Auke